### Method

# Gtk IconView get_cursor

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_cursor (
      GtkIconView* icon_view,
      GtkTreePath** path,
      GtkCellRenderer** cell
    )

#### Description [src]

Fills in `path` and `cell` with the current cursor path and cell. If the cursor isn’t currently set, then `path` will be `NULL`. If no cell currently has focus, then `cell` will be `NULL`.

The returned `GtkTreePath` must be freed with gtk_tree_path_free().

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  Return location for the current cursor path.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cell`

  Type: `GtkCellRenderer`

  Return location the current focus cell.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the cursor is set.